mia-2dmyocard-icaseries(1)

NAME
mia-2dmyocard-icaseries - Run an ICA analysis on a series of 2D images

SYNOPSIS
mia-2dmyocard-icaseries -i <in-file> [options]

DESCRIPTION
mia-2dmyocard-icaseries This program is used to run a ICA on a series of myocardial perfusion images given in a segmentation set in order to create sythetic references that can be used for motion correction by image registration. If the aim is to run a full motion compensation then it is better run mia-2dmyoica-nonrigid, since this program is essentially the same without the registration bits.

OPTIONS

  File-IO

    -i --in-file=(input, required); string
        input perfusion data set

    -r --references=(output); string
        File name base for the reference images. Image type and numbering scheme are taken from the input images.

    -c --save-cropped=(output); string
        save cropped set of the original set to this file, the image files will use the stem of the name as file name base

    --save-feature=(output); string
        save the features images resulting from the ICA and some intermediate images used for the RV-LV segmentation with the given file name base to PNG files. Also save the coefficients of the initial best and the final IC mixing matrix.

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  ICA

    --fastica=internal
        FastICA implementationto be used
         For supported plugins see PLUGINS:fastica/implementation

    -C --components=0
        ICA components 0 = automatic estimation

    --normalize
        normalized ICs

    --no-meanstrip
        don't strip the mean from the mixing curves

    -s --segscale=1.4
        segment and scale the crop box around the LV (0=no segmentation)

    -k --skip=0
        skip images at the beginning of the series as they are of other modalities

    -m --max-ica-iter=400
        maximum number of iterations in ICA

    -E --segmethod=features
        Segmentation method

        delta-feature - difference of the feature images
        delta-peak - difference of the peak enhancement images
        features - feature images

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

PLUGINS: fastica/implementation

internal
    This is the MIA implementation of the FastICA algorithm.

    (no parameters)

itpp
    This is the IT++ implementation of the FastICA algorithm.

    (no parameters)

EXAMPLE
Evaluate the synthetic references from set segment.set and save them to refXXXX.??? by using five independent components, and skipping 2 images. Per default a bounding box around the LV will be segmented and scaled by 1.4 and the cropped images will be saved to cropXXXX.??? and a segmentation set cropped.set is created. The image file type ??? is deducted from the input images in segment.set.

mia-2dmyocard-icaseries -i segment.set -r ref -o ref -k 2 -C 5

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.